Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# bson_iter_timestamp()

## Synopsis

    #define BSON_ITER_HOLDS_TIMESTAMP(iter) \
       (bson_iter_type ((iter)) == BSON_TYPE_TIMESTAMP)

    void
    bson_iter_timestamp (const bson_iter_t *iter,
                         uint32_t *timestamp,
                         uint32_t *increment);

## Parameters

- `iter`: A bson_iter_t.

- `timestamp`: A uint32_t.

- `increment`: A uint32_t.

## Description

The BSON_TYPE_TIMESTAMP type is not a date/time and is typically used for intra-server communication.

You probably want bson_iter_date_time().

The bson_iter_timestamp() function shall return the contents of a BSON_TYPE_TIMESTAMP element. It is invalid to call this function while observing an element that is not of type BSON_TYPE_TIMESTAMP.